Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.util
Class SimpleInputBuffer

    java.lang.Object
      writer2latex.util.SimpleInputBuffer

    public class SimpleInputBuffer

extends java.lang.Object

Field Summary
`private int` | `nIndex`
`private int` | `nLen`
`private java.lang.String` | `sContent`

Constructor Summary
`SimpleInputBuffer(java.lang.String sContent)`

Method Summary
`char` | `getChar()`
`java.lang.String` | `getIdentifier()`
`int` | `getIndex()`
`java.lang.String` | `getInteger()`
`java.lang.String` | `getNumber()`
`private static boolean` | `isDigitOrDot(char cChar)`
`private static boolean` | `isDigitOrDotOrComma(char cChar)`
`private static boolean` | `isEndOrLineEnd(char cChar)`
`char` | `peekChar()`
`char` | `peekFollowingChar()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sContent

    private java.lang.String sContent

### nIndex

    private int nIndex

### nLen

    private int nLen

Constructor Detail

### SimpleInputBuffer

    public SimpleInputBuffer(java.lang.String sContent)

Method Detail

### isEndOrLineEnd

    private static boolean isEndOrLineEnd(char cChar)

### isDigitOrDot

    private static boolean isDigitOrDot(char cChar)

### isDigitOrDotOrComma

    private static boolean isDigitOrDotOrComma(char cChar)

### getIndex

    public int getIndex()

### peekChar

    public char peekChar()

### peekFollowingChar

    public char peekFollowingChar()

### getChar

    public char getChar()

### getIdentifier

    public java.lang.String getIdentifier()

### getNumber

    public java.lang.String getNumber()

### getInteger

    public java.lang.String getInteger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD